lapy3(3)

NAME
lapy3 - lapy3: robust sqrt( x^2 + y^2 + z^2 )

SYNOPSIS

  Functions

double precision function dlapy3 (x, y, z)
DLAPY3 returns sqrt(x2+y2+z2).
real function slapy3 (x, y, z)
SLAPY3 returns sqrt(x2+y2+z2).

Detailed Description

Function Documentation

  double precision function dlapy3 (double precision x, double precision y, double precision z)

DLAPY3 returns sqrt(x2+y2+z2).

Purpose:

    !>
    !> DLAPY3 returns sqrt(x**2+y**2+z**2), taking care not to cause
    !> unnecessary overflow and unnecessary underflow.
    !>

Parameters
    X

    !>          X is DOUBLE PRECISION
    !>

    Y

    !>          Y is DOUBLE PRECISION
    !>

    Z

    !>          Z is DOUBLE PRECISION
    !>          X, Y and Z specify the values x, y and z.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  real function slapy3 (real x, real y, real z)

SLAPY3 returns sqrt(x2+y2+z2).

Purpose:

    !>
    !> SLAPY3 returns sqrt(x**2+y**2+z**2), taking care not to cause
    !> unnecessary overflow and unnecessary underflow.
    !>

Parameters
    X

    !>          X is REAL
    !>

    Y

    !>          Y is REAL
    !>

    Z

    !>          Z is REAL
    !>          X, Y and Z specify the values x, y and z.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.